/*
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef SHAREITEM_H
#define SHAREITEM_H

#include <plasma/widgets/frame.h>
#include <QObject>
#include <plasma/widgets/label.h>
#include <plasma/widgets/iconwidget.h>

class QGraphicsLinearLayout;

class PlasmoidHoveredItem : public Plasma::Frame
{
	Q_OBJECT
public:
	PlasmoidHoveredItem(QGraphicsWidget* parent = 0);
	virtual ~PlasmoidHoveredItem();
	void hoverEnter();
	void hoverLeave();
	void buttonPressed();
	virtual void setIcon(QString icon);
	virtual void setText(QString text);
	virtual QString text();
signals:
	void clicked();
private:
	QGraphicsLinearLayout* layout;
protected:
	QGraphicsLinearLayout* getLayout()
	{return layout;}
	Plasma::IconWidget* icon;
	Plasma::Label* label;
};

#endif // SHAREITEM_H
